Page MenuHomePhabricator

Replace integration-trigger-01 with running the dummy job on contint1001 agent
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2020, 5:36 PM

Mentioned in SAL (#wikimedia-releng) [2020-03-06T19:05:55Z] <James_F> Manually pushing trigger-helloworldoid-pipeline-test over to contint1001 to test T247109

Change 577647 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Run trigger jobs on contint1001 agent directly

https://gerrit.wikimedia.org/r/577647

Change 577647 merged by jenkins-bot:
[integration/config@master] jjb: Run trigger jobs on contint1001 agent directly

https://gerrit.wikimedia.org/r/577647

Jdforrester-WMF closed this task as Resolved.Mar 6 2020, 7:13 PM
Jdforrester-WMF claimed this task.

This effectively limits the number of concurrent pipelinelib based jobs to 3 since contint1001 is configured with just 3 executors. Another approach we might take is to create a dummy node for trigger jobs that uses a second ssh connection to contint1001 (different user maybe) and has more executors assigned. The only concern there is that contint1001 would be allocating memory for a jenkins agent that does nothing.

Change 577678 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[integration/config@master] pipeline: Schedule trigger jobs on master node

https://gerrit.wikimedia.org/r/577678

dduvall reopened this task as Open.Mar 6 2020, 10:17 PM

Reopening for follow-up patch review that schedules trigger builds on the master node.

Mentioned in SAL (#wikimedia-releng) [2020-03-06T22:42:18Z] <James_F> Raised executor count on contint1001 from 3 to 12 for T247109

Jdforrester-WMF triaged this task as Medium priority.Mar 18 2020, 5:13 PM

Change 577678 abandoned by Dduvall:
pipeline: Schedule trigger jobs on master node

Reason:
Scheduling on master is unacceptable

https://gerrit.wikimedia.org/r/577678

Jdforrester-WMF closed this task as Resolved.Mar 19 2020, 9:59 PM
hashar reopened this task as Open.Mar 30 2020, 3:45 PM

We should have the instance integration-trigger-01.integration.eqiad.wmflabs deleted via Horizon and then remove it from the CI Jenkins ( https://integration.wikimedia.org/ci/computer/integration-trigger-01/ ).

Mentioned in SAL (#wikimedia-releng) [2020-05-01T18:43:21Z] <James_F> Deleting integration-trigger-01 from WMCS for T247109

Jdforrester-WMF closed this task as Resolved.May 1 2020, 6:43 PM